GNOME-SESSION(1)

NAME
gnome-session - Starts up the GNOME desktop environment

SYNOPSIS
gnome-session [--autostart=DIR] [--default-session-key=KEY] [--failsafe|-f] [--debug]

DESCRIPTION
The gnome-session program starts up the GNOME desktop environment. This command is typically executed by your login manager (either gdm, xdm, or from your X startup scripts). It will load either your saved session, or it will provide a default session for the user as defined by the system administrator (or the default GNOME installation on your system).

The default session is defined in the GConf keys under /desktop/gnome/session. When saving a session, gnome-session saves the currently running applications in the $XDG_CONFIG_HOME/gnome-session/saved-session directory.

gnome-session is an X11R6 session manager. It can manage GNOME applications as well as any X11R6 SM compliant.

OPTIONS
The following options are supported:

--autostart=DIR
    Start all applications defined in DIR, instead of starting the applications defined in /desktop/gnome/session/default_session, or via the --default-session-key option. Multiple --autostart options can be passed.

--default-session-key=KEY
    Sets the GConf key from which applications running a default session should be read to KEY. If not specificed, /desktop/gnome/session/default_session will be used.

--failsafe
    gnome-session will run in fail-safe mode. User-specified applications will not be started.

--debug
    Enable debugging code.

ENVIRONMENT
gnome-session accepts all of the standard environment variables used by gnome programs, other than the SESSION_MANAGER environment variable. gnome-session also sets several environment variables for the use of its child processes.

SESSION_MANAGER

    This variable is used by session-manager aware clients to contact gnome-session.

DISPLAY

    This variable is set to the X display being used by gnome-session. Note that if the --display option is used this might be different from the setting of the environment variable when gnome-session is invoked.

SEE ALSO
gnome-session-properties(1) gnome-session-save(1) gnome-wm(1)

BUGS
If you find bugs in the gnome-session program, please report these on http://bugzilla.gnome.org.